<?php
//exit;

//define('SF_ROOT_DIR', "/home/credisur/public_html/credisur");
define('SF_ROOT_DIR', "C://wamp/www/credisur");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);




if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


$fechaDiaAbierto 	= $_GET['fechaDiaAbierto'];
$IdSucursal 		= $_GET['IdSucursal'];
	
$fecha 						= $fechaDiaAbierto;
$NuevoInteresPorcentaje 	= "15";
$dias_retrazo 				= "4";
$NuevoNroCuotas 			= 26;
$NuevoDuracion  			= 30;

//Debe ser un 
//Esta tarea no debe ejecutarse el domingo
$diahoy 				= date('N',strtotime($fecha));
//echo $diahoy;

if($diahoy == 7) exit;


$fecha_con_retrazo = date('Y-m-d',strtotime($fecha." -".$dias_retrazo." day"));

//Buscar los colaboradores

$sql = "SELECT 	IdColaborador
		FROM 	`cr_sucursal_mercado` sm
		LEFT JOIN cr_mercado_representante mr on mr.IdMercado = sm.IdMercado
		WHERE 	1=1 				
				and IdSucursal = '".$IdSucursal."'
			";
	
$result = mysql_query($sql,$con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$a_colaboradores[] = $row['IdColaborador'];
	}
	
}
	
if(is_array($a_colaboradores)){
	$c_colaboradores = implode(",",$a_colaboradores);
	$sql = "SELECT 	idprestamo,fechavencimiento,saldoprestamo,IdPrestamoReferencia,IdCliente,IdColaborador
			FROM 	`cr_prestamo`
			WHERE 	1=1 
					and estado = 'P' 
					and eliminado <> '1'
					and NoRenovarAutomaticamente = '0'
					and fechavencimiento <= '".$fecha_con_retrazo."'
					and idcolaborador in (".$c_colaboradores.")
				";
		
	$result = mysql_query($sql,$con);
	if(mysql_num_rows($result) > 0 ){
		while($row = mysql_fetch_array($result)){
			
			$IdPrestamoReferencia		= $row['idprestamo'];
			$fechavencimiento 			= $row['fechavencimiento'];
			$saldoprestamo 				= $row['saldoprestamo'];
		    $IdCliente 					= $row['IdCliente'];
		    $IdColaborador				= $row['IdColaborador'];
			$IdPrestamoReferenciaNuevo	= $row['IdPrestamoReferencia'];
			
			
			$NuevoMontoPrestado	= $saldoprestamo;
			$NuevoMontoTotal	= $saldoprestamo*(($NuevoInteresPorcentaje/100)+1);
			$NuevoInteresMonto 	= $saldoprestamo*(($NuevoInteresPorcentaje/100));
			$NuevoSaldoPrestamo = $NuevoMontoTotal;
			
			
			$NuevoEstado	= 'P';
			$NuevoCuotaPago	= $NuevoMontoTotal/$NuevoNroCuotas;
			$NuevoIdColaborador	= $IdColaborador;
			$NuevoOrigen	= 'F';
			$NuevoPeriodicidadPago	= 'D';
			$FechaCreacion = date('Y-m-d H:i:s');
			    
		    if($fechaDiaAbierto){
		    	$dia = date('N',strtotime($fechaDiaAbierto));
		    	//si es sabado 
		    	//if($dia == 6){
		    		//$NuevoFechaInicio = date('Y-m-d',strtotime($fechaDiaAbierto.' +2 days'));
		    	//}else{
		    		$NuevoFechaInicio = date('Y-m-d',strtotime($fechaDiaAbierto.' +1 days'));
		    		$NuevoFechaInicioPago = date('Y-m-d',strtotime($fechaDiaAbierto.' +2 days'));
		    		if(date('N',strtotime($fecha)) == "7"){
		    			$NuevoFechaInicio = date('Y-m-d',strtotime($NuevoFechaInicioPago.' +1 days'));
		    		}
		    	//}
		    }
			
		    $NuevoFechaVencimiento = date('Y-m-d',strtotime($NuevoFechaInicio.' +'.$NuevoDuracion.' days'));
			    
			//Creacion del nuevo Prestamo refinanciado
			$sql = "
		    		insert into cr_prestamo
		    		(
		    		IdPrestamo,FechaInicio,FechaInicioPago,FechaVencimiento,MontoPrestado,CuotaPago,PeriodicidadPago,
		    		Observacion,Estado,Origen,SaldoPrestamo,MontoTotal,InteresMonto,
		    		InteresPorcentaje,IdPrestamoReferencia,Duracion,NroCuotas,IdCliente,IdColaborador,
		    		UsuarioCreacion,FechaCreacion
		    		)
		    		values
		    		(
		    		null,'".$NuevoFechaInicio."','".$NuevoFechaInicioPago."','".$NuevoFechaVencimiento."','".$saldoprestamo."','".$NuevoCuotaPago."','".$NuevoPeriodicidadPago."',
		    		'Renovacion por sistema','".$NuevoEstado."','".$NuevoOrigen."','".$NuevoSaldoPrestamo."','".$NuevoMontoTotal."','".$NuevoInteresMonto."',
		    		'".$NuevoInteresPorcentaje."','".$IdPrestamoReferencia."','".$NuevoDuracion."','".$NuevoNroCuotas."','".$IdCliente."','".$IdColaborador."',
		    		'sys.system','".$FechaCreacion."'
		    		)
			    	";
			   	//echo $sql."<br>";
			   	$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
			   	$idref = mysql_insert_id($con);
			   	
			   	if($IdPrestamoReferenciaNuevo){
				   	$sql_memref = " select * 
				   					from cr_prestamorefinanciado
				   					where idrefinanciado = $IdPrestamoReferenciaNuevo";
				   	
				   	$result4 = mysql_db_query(Conexion::getNameDb(), $sql_memref, $con);
			    	$num_rows = mysql_num_rows($result4);
				
			    	if($num_rows>0){
			    		 while ($o_valor_cr = mysql_fetch_object($result4)) {
			    		 	if($o_valor_cr->contador <= 4){
			    				$sql_ref = "	update 	cr_prestamorefinanciado
			    								set 	idrefinanciado 	= $idref,
			    										contador 		= contador + 1
				   								where 	idrefinanciado 	= $IdPrestamoReferenciaNuevo ";
			    		 	}
			    		 }
			    	}else{
			    		$sql_ref = " insert into cr_prestamorefinanciado (idrefinanciado,contador) values ($idref,1)";
			    	}
			   	}else{
			   		$sql_ref = " insert into cr_prestamorefinanciado (idrefinanciado,contador) values ($idref,1)";
			   	}
			   	if($sql_ref){
			   		$result_ref = mysql_db_query(Conexion::getNameDb(), $sql_ref, $con);
			   	}
			   	//Modificacion del anterior prestamo a cancelado
			   	
			    $sql = "
			    		update cr_prestamo 
			    		set Estado = 'C',
			    			FechaCancelacion 	= '".$fechaDiaAbierto."',
			    			UsuarioModificacion = 'sys.system',
			    			FechaModificacion	= '".date('Y-m-d H:i:s')."'
			    		where IdPrestamo = '".$IdPrestamoReferencia."'
			    		";
			    //echo $sql."<br>";
			    
			    $result_upd = mysql_db_query(Conexion::getNameDb(), $sql, $con);
				
		}
	}
}
?>